<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/include/BlueZ/MediaEndpoint.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_dcc26bf29d4b694c2f1fb3cf2aba65ed.html">include</a></li><li class="navelem"><a class="el" href="dir_6061b9c865ef17da7826af8a1f20a075.html">BlueZ</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MediaEndpoint.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_media_endpoint_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_INCLUDE_BLUEZ_MEDIAENDPOINT_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_INCLUDE_BLUEZ_MEDIAENDPOINT_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;atomic&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;condition_variable&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_audio_input_stream_8h.html">AVSCommon/AVS/AudioInputStream.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a2_d_p_source_interface_8h.html">AVSCommon/SDKInterfaces/Bluetooth/Services/A2DPSourceInterface.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_formatted_audio_stream_adapter_8h.html">AVSCommon/Utils/Bluetooth/FormattedAudioStreamAdapter.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_blue_z_device_manager_8h.html">BlueZ/BlueZDeviceManager.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_blue_z_utils_8h.html">BlueZ/BlueZUtils.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_media_context_8h.html">BlueZ/MediaContext.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;gio/gio.h&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;sbc/sbc.h&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span>bluetoothImplementations {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span>blueZ {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html">   43</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html">MediaEndpoint</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html">DBusObject</a>&lt;MediaEndpoint&gt; {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#ae736bb028b4a43227560da43f9634796">MediaEndpoint</a>(std::shared_ptr&lt;DBusConnection&gt; connection, <span class="keyword">const</span> std::string&amp; endpointPath);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a4571d4126b41b6901a86981d719fdf73">~MediaEndpoint</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#ae7150b0028fbc8afd86375d0ce891624">onSetConfiguration</a>(GVariant* arguments, GDBusMethodInvocation* invocation);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a75b927eb9e40f9bc3409c2f19eec5f51">onSelectConfiguration</a>(GVariant* arguments, GDBusMethodInvocation* invocation);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a34a7ae344c8297b79c7bdab6e85ed7b7">onClearConfiguration</a>(GVariant* arguments, GDBusMethodInvocation* invocation);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a48a71ec059a0bd6be2ef7f7788d35526">onRelease</a>(GVariant* arguments, GDBusMethodInvocation* invocation);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a3e25438e94e9cfc72bc451f9c63009cf">onMediaTransportStateChanged</a>(</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a7717667c8458923f390f6302b54e907a">avsCommon::utils::bluetooth::MediaStreamingState</a> newState,</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="keyword">const</span> std::string&amp; devicePath);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#aef294224ebbf75ff4628c1a50d057ede">getEndpointPath</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a8c2bfa87eeb0eba557d90555be3bb339">getStreamingDevicePath</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    std::shared_ptr&lt;avsCommon::utils::bluetooth::FormattedAudioStreamAdapter&gt; <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#aeacc5dd61ff4a6266b42182eb3d81528">getAudioStream</a>();</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="keyword">enum class</span> OperatingMode {</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        INACTIVE,</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#ab9a03321478142d4ec9d6cb642b93229a6091f77137cf4570917f3f4d30585bb1">SINK</a>,</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#ab9a03321478142d4ec9d6cb642b93229ae60b4854b44ccfb2d92aa6f035171bb4">SOURCE</a>,</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        RELEASED</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    };</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    std::string operatingModeToString(OperatingMode mode);</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="keywordtype">void</span> mediaThread();</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    <span class="keywordtype">void</span> setOperatingMode(OperatingMode mode);</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    <span class="keywordtype">void</span> abortStreaming();</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    std::string m_endpointPath;</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    std::string m_streamingDevicePath;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    <span class="keywordtype">bool</span> m_operatingModeChanged;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    std::atomic&lt;OperatingMode&gt; m_operatingMode;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    std::vector&lt;uint8_t&gt; m_sbcBuffer;</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    std::mutex m_mutex;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    std::mutex m_streamMutex;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    std::condition_variable m_modeChangeSignal;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    std::shared_ptr&lt;avsCommon::utils::bluetooth::FormattedAudioStreamAdapter&gt; m_ioStream;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;    std::vector&lt;uint8_t&gt; m_ioBuffer;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> m_audioFormat;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    std::shared_ptr&lt;MediaContext&gt; m_currentMediaContext;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;<span class="comment">     * Dedicated thread for I/O.</span></div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    std::thread m_thread;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;};</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;}  <span class="comment">// namespace blueZ</span></div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;}  <span class="comment">// namespace bluetoothImplementations</span></div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_INCLUDE_BLUEZ_MEDIAENDPOINT_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint</a></div><div class="ttdef"><b>Definition:</b> MediaEndpoint.h:43</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_a3e25438e94e9cfc72bc451f9c63009cf"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a3e25438e94e9cfc72bc451f9c63009cf">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::onMediaTransportStateChanged</a></div><div class="ttdeci">void onMediaTransportStateChanged(avsCommon::utils::bluetooth::MediaStreamingState newState, const std::string &amp;devicePath)</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:347</div></div>
<div class="ttc" id="_blue_z_utils_8h_html"><div class="ttname"><a href="_blue_z_utils_8h.html">BlueZUtils.h</a></div></div>
<div class="ttc" id="_a2_d_p_source_interface_8h_html"><div class="ttname"><a href="_a2_d_p_source_interface_8h.html">A2DPSourceInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_ae736bb028b4a43227560da43f9634796"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#ae736bb028b4a43227560da43f9634796">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::MediaEndpoint</a></div><div class="ttdeci">MediaEndpoint(std::shared_ptr&lt; DBusConnection &gt; connection, const std::string &amp;endpointPath)</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:128</div></div>
<div class="ttc" id="_blue_z_device_manager_8h_html"><div class="ttname"><a href="_blue_z_device_manager_8h.html">BlueZDeviceManager.h</a></div></div>
<div class="ttc" id="_audio_input_stream_8h_html"><div class="ttname"><a href="_audio_input_stream_8h.html">AudioInputStream.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_d_bus_object.html">alexaClientSDK::bluetoothImplementations::blueZ::DBusObject</a></div><div class="ttdef"><b>Definition:</b> DBusObject.h:41</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_html_a7717667c8458923f390f6302b54e907a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a7717667c8458923f390f6302b54e907a">alexaClientSDK::avsCommon::utils::bluetooth::MediaStreamingState</a></div><div class="ttdeci">MediaStreamingState</div><div class="ttdoc">An Enum representing the current state of the stream. </div><div class="ttdef"><b>Definition:</b> BluetoothEvents.h:59</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_a75b927eb9e40f9bc3409c2f19eec5f51"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a75b927eb9e40f9bc3409c2f19eec5f51">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::onSelectConfiguration</a></div><div class="ttdeci">void onSelectConfiguration(GVariant *arguments, GDBusMethodInvocation *invocation)</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:545</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">alexaClientSDK::avsCommon::utils::AudioFormat</a></div><div class="ttdef"><b>Definition:</b> AudioFormat.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_a34a7ae344c8297b79c7bdab6e85ed7b7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a34a7ae344c8297b79c7bdab6e85ed7b7">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::onClearConfiguration</a></div><div class="ttdeci">void onClearConfiguration(GVariant *arguments, GDBusMethodInvocation *invocation)</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:580</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_html_ab9a03321478142d4ec9d6cb642b93229a6091f77137cf4570917f3f4d30585bb1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#ab9a03321478142d4ec9d6cb642b93229a6091f77137cf4570917f3f4d30585bb1">alexaClientSDK::avsCommon::utils::bluetooth::A2DPRole::SINK</a></div><div class="ttdoc">AVS device acting as an A2DPSink. </div></div>
<div class="ttc" id="_media_context_8h_html"><div class="ttname"><a href="_media_context_8h.html">MediaContext.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_a4571d4126b41b6901a86981d719fdf73"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a4571d4126b41b6901a86981d719fdf73">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::~MediaEndpoint</a></div><div class="ttdeci">~MediaEndpoint() override</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:143</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_aeacc5dd61ff4a6266b42182eb3d81528"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#aeacc5dd61ff4a6266b42182eb3d81528">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::getAudioStream</a></div><div class="ttdeci">std::shared_ptr&lt; avsCommon::utils::bluetooth::FormattedAudioStreamAdapter &gt; getAudioStream()</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:319</div></div>
<div class="ttc" id="_formatted_audio_stream_adapter_8h_html"><div class="ttname"><a href="_formatted_audio_stream_adapter_8h.html">FormattedAudioStreamAdapter.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_html_ab9a03321478142d4ec9d6cb642b93229ae60b4854b44ccfb2d92aa6f035171bb4"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#ab9a03321478142d4ec9d6cb642b93229ae60b4854b44ccfb2d92aa6f035171bb4">alexaClientSDK::avsCommon::utils::bluetooth::A2DPRole::SOURCE</a></div><div class="ttdoc">AVS device acting as an A2DPSource. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_a8c2bfa87eeb0eba557d90555be3bb339"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a8c2bfa87eeb0eba557d90555be3bb339">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::getStreamingDevicePath</a></div><div class="ttdeci">std::string getStreamingDevicePath() const</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:334</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_ae7150b0028fbc8afd86375d0ce891624"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#ae7150b0028fbc8afd86375d0ce891624">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::onSetConfiguration</a></div><div class="ttdeci">void onSetConfiguration(GVariant *arguments, GDBusMethodInvocation *invocation)</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:446</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_a48a71ec059a0bd6be2ef7f7788d35526"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#a48a71ec059a0bd6be2ef7f7788d35526">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::onRelease</a></div><div class="ttdeci">void onRelease(GVariant *arguments, GDBusMethodInvocation *invocation)</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:599</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint_html_aef294224ebbf75ff4628c1a50d057ede"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_endpoint.html#aef294224ebbf75ff4628c1a50d057ede">alexaClientSDK::bluetoothImplementations::blueZ::MediaEndpoint::getEndpointPath</a></div><div class="ttdeci">std::string getEndpointPath() const</div><div class="ttdef"><b>Definition:</b> MediaEndpoint.cpp:330</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
